Zend is pleased to announce the Zend Studio 11.0.2 maintenance release!

You can download this release from: 
http://www.zend.com/en/products/studio

Noteworthy changes:
----------------------------
 * Zend Framework 2 is updated to version 2.3.3.
 * Zend Framework 1 is updated to version 1.12.9.
 * JRE in the Windows MSI package is updated to version 1.7.0_67 to resolve an issue with crash on startup.
 * Support for SVN 1.8.
 * Content assist for CSS class names and IDs.
 * Content assist for img/@src, script/@src and link/@href HTML attributes.
 * Support for more Composer stability flags.
 * Added Splashscreen to built-in Cordova plug-ins
 * Proper support for the PHP 5.5 class name resolution keyword.
 * Fixed issue in PHP code formatter, which deleted parts of source code.
 * Fixed code navigation for __FILE__ and __DIR__ references.
 * Fixed issue that was causing slow occurrences marking in PHP file.
 * Fixed hyperlink support for PHPDoc array types.
 * Fixed issue with hyperlinking between types from the same namespace.
 * Fixed issue that breaks content assist in files with namespace.
 * Fixed performance problem for PHP editor when Outline view is active. 
 * Fixed issue with deploying an update to existing application on Zend Server 7.1.
 * Fixed issue with triggering undesired PhoneGap Config Editor validation on custom config.xml files outside of mobile projects.
 * Fixed out of memory issue in PHPUnit due to incorrect handling of backupGlobals and backupStaticAttributes from phpunit.xml.
 * Fixed issue with detecting a local Apache server on Ubuntu and Mac OS X as Local Apache HTTP Server.
 * Fixed issue with additional sessions started during debugging from Studio on Zend Server with Z-Ray enabled.

System Requirements:
--------------------
 * Supported Operating Systems:
    - Windows XP, Windows 7, Windows 8
    - Linux x86, Linux x86-64
    - OS X 10.8 Mountain Lion, OS X 10.9 Mavericks
 * 1.5GHz processor
 * 2GB RAM
 * 1GB of hard disk space
 * Linux, OS X: Java Runtime Environment (JRE) 1.6 or 1.7. Java 1.8 was not tested.

Mobile development requirements:
--------------------------------
 * Java Development Kit should be added to system path to enable generation of native Android mobile apps. We recommend Oracle (Sun) JDK 1.6 or higher (http://www.oracle.com/technetwork/java/javase/downloads). Please ensure you have:
    a. JAVA_HOME environment variable set (i.e. C:\Program Files (x86)\Java\jdk1.7.0_67)
    b. %JAVA_HOME%\bin is added to system path (http://www.java.com/en/download/help/path.xml).
 * Internet Explorer >=10 is required. Safari browser is recommended on Windows for mobile drag & drop editor. You can install it from http://support.apple.com/kb/dl1531 

Code Trace requirements:
------------------------
 * Flash Player must be installed in the operating system.

Updating from Zend Studio 10.x:
-------------------------------
 * To update add two new update sites in Help -> Install New Software -> Available Update Sites:
       http://downloads.zend.com/studio-eclipse/updates
       http://downloads.zend.com/studio-eclipse/updates-extra
   and select Help -> Check for updates. 
 * Since Zend Studio 10.5 release we provide Mac OS X 64-bit packages only. This means there will be no updates available for 32-bit Zend Studio on OS X. A new installation of 64-bit Zend Studio is required. Existing workspaces can be used with new 64-bit installation. 64-bit installations (Zend Studio 10.5 and later) can be upgraded as usual.

Known Issues:
------------- 
 * Z-Ray may not render correctly inside Zend Studio on Windows. A workaround can be applied in one of the following alternative ways:
   a) Modify Zend Server configuration to include the "X-UA-Compatible: IE=edge" HTTP header in the response. If Zend Server is running on Apache HTTP Server then:
      1. Add the following line in the httpd.conf file:

         Header add X-UA-Compatible "IE=edge"

      2. Restart the Apache HTTP Server.
      3. Reopen the web browser inside Zend Studio.
   b) Modify the application to include "X-UA-Compatible: IE=edge" HTTP header in the response:
      1. Add the following line in a suitable place in your PHP code:

         header("X-UA-Compatible: IE=edge");

      2. Reopen the web browser inside Zend Studio.
   In future version of Zend Server, Z-Ray will automatically add the "X-UA-Compatible: IE=edge" HTTP header in the response, so the above workaround will not be required.

 * ZendDebugger does not support thread-safe mode.

 * Debug session is not started for both debugging an application and debug mode enabled against OpenShift target with zend-6.1 cartridge.

 * Zend Studio Crashes with Segmentation Fault in KDE 4.11, see http://kb.zend.com/zend-studio-crashes-with-segmentation-fault-in-kde-4-11

 * Zend Studio menus do not show or appear only partially in the menu bar of Ubuntu 13.10 and 14.04. The issue is caused by Ubuntu's bug https://bugs.launchpad.net/ubuntu/+source/eclipse/+bug/1208019. See http://kb.zend.com/zend-studio-menu-does-not-work-on-ubuntu-13-10/

 * Using Zend Studio's built-in PHP 5.5 binaries with Xdebug may be problematic on Windows and OS X.
        On Windows no Xdebug package is suggested for downloading at http://xdebug.org/wizard.php
(http://bugs.xdebug.org/view.php?id=1028)
        On OS X Xdebug requires an older version of Zend Engine API than provided by Zend Studio binaries. Workaround: manually build Xdebug, following steps described at http://xdebug.org/wizard.php 
        
 * To display class inheritance charts in the documentation generated by PHPDocumentor installation of Graphviz is required. Due to compatibility issues, please install 
        Graphviz version 2.30.1 on Mountain Lion
        Graphviz version 2.28.0 on Windows and other Mac OS X distributions
    from http://www.graphviz.org/pub/graphviz/stable/ 

 * Running mobile project as Web Mobile application (or using 'Preview Mode' of mobile drag & drop editor) on Windows requires Internet Explorer 'Access data sources across domains' option enabled:
        Internet Explorer -> Tools -> Internet Options -> Security tab -> Security level -> Custom level -> Miscellaneous -> Access data sources across domains -> Enable -> OK -> Apply

 * Due to Zend's contribution of PHP Code Formatter to opensource Eclipse PDT project the namespace of custom formatter preferences has changed and settings exported from/created with Zend Studio 10.0.1 will not work out of the box in Zend Studio >= 10.1.0. 
    Workaround: 
    Export Formatter Profile using Studio 10.0.1 and replace all occurrences of "com.zend" by "org.eclipse" in the exported XML file before importing it into Zend Studio >= 10.1.0.

 * Using Android Development Toolkit (ADT) on Linux x86-64 requires installation of additional libraries :
   Ubuntu:
   sudo apt-get update
   sudo apt-get install ia32-libs
   sudo apt-get install lib32stdc++6
   Fedora:
   sudo yum install redhat-lsb.i686

Support and Feedback:
---------------------
 * Support for Zend Studio 11 and evaluation support is provided via http://www.zend.com/support-center and Zend Forums at http://forums.zend.com 
You can also send your feedback to [email protected]

Thank you for using Zend Studio!
--------------------------------
Zend Technologies, Inc.
www.zend.com